Variant.VARIANT._VARIANT.__VARIANT (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: Variant, class: VARIANT, class: _VARIANT, class: __VARIANT

Package com.sun.jna.platform.win32

# Class Variant.VARIANT._VARIANT.__VARIANT

java.lang.Object
com.sun.jna.Structure
com.sun.jna.Union
com.sun.jna.platform.win32.Variant.VARIANT._VARIANT.__VARIANT

Enclosing class:
  Variant.VARIANT._VARIANT

public static class Variant.VARIANT._VARIANT.__VARIANT extends Union

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Variant.VARIANT._VARIANT.__VARIANT.BRECORD`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `OaIdl.VARIANT_BOOL`
  `boolVal`
  `WTypes.BSTR`
  `bstrVal`
  `WinDef.BYTE`
  `bVal`
  `WinDef.PVOID`
  `byref`
  `WinDef.CHAR`
  `cVal`
  `OaIdl.CURRENCY`
  `cyVal`
  `OaIdl.DATE`
  `date`
  `Double`
  `dblVal`
  `Float`
  `fltVal`
  `Integer`
  `intVal`
  `WinDef.SHORT`
  `iVal`
  `WinDef.LONGLONG`
  `llVal`
  `WinDef.LONG`
  `lVal`
  `OaIdl.SAFEARRAY.ByReference`
  `parray`
  `OaIdl._VARIANT_BOOLByReference`
  `pbool`
  `OaIdl.VARIANT_BOOLByReference`
  `pboolVal`
  `WTypes.BSTRByReference`
  `pbstrVal`
  `ByteByReference`
  `pbVal`
  `WinDef.CHARByReference`
  `pcVal`
  `OaIdl.CURRENCY.ByReference`
  `pcyVal`
  `OaIdl.DATE.ByReference`
  `pdate`
  `DoubleByReference`
  `pdblVal`
  `OaIdl.DECIMAL.ByReference`
  `pdecVal`
  `Dispatch`
  `pdispVal`
  `FloatByReference`
  `pfltVal`
  `IntByReference`
  `pintVal`
  `ShortByReference`
  `piVal`
  `WinDef.LONGLONGByReference`
  `pllVal`
  `WinDef.LONGByReference`
  `plVal`
  `OaIdl.SAFEARRAYByReference`
  `pparray`
  `Dispatch.ByReference`
  `ppdispVal`
  `Unknown.ByReference`
  `ppunkVal`
  `WinDef.SCODEByReference`
  `pscode`
  `WinDef.UINTByReference`
  `puintVal`
  `WinDef.USHORTByReference`
  `puiVal`
  `WinDef.ULONGLONGByReference`
  `pullVal`
  `WinDef.ULONGByReference`
  `pulVal`
  `Unknown`
  `punkVal`
  `Variant.VARIANT.ByReference`
  `pvarVal`
  `Variant.VARIANT._VARIANT.__VARIANT.BRECORD`
  `pvRecord`
  `WinDef.SCODE`
  `scode`
  `WinDef.UINT`
  `uintVal`
  `WinDef.USHORT`
  `uiVal`
  `WinDef.ULONGLONG`
  `ullVal`
  `WinDef.ULONG`
  `ulVal`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `__VARIANT()`
  `__VARIANT(Pointer pointer)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Union

  `getFieldOrder, getNativeAlignment, getTypedValue, readField, readField, setType, setType, setTypedValue, writeField, writeField, writeField`

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### llVal

    public WinDef.LONGLONG llVal

  - ### lVal

    public WinDef.LONG lVal

  - ### bVal

    public WinDef.BYTE bVal

  - ### iVal

    public WinDef.SHORT iVal

  - ### fltVal

    public Float fltVal

  - ### dblVal

    public Double dblVal

  - ### boolVal

    public OaIdl.VARIANT_BOOL boolVal

  - ### scode

    public WinDef.SCODE scode

  - ### cyVal

    public OaIdl.CURRENCY cyVal

  - ### date

    public OaIdl.DATE date

  - ### bstrVal

    public WTypes.BSTR bstrVal

  - ### punkVal

    public Unknown punkVal

  - ### pdispVal

    public Dispatch pdispVal

  - ### parray

    public OaIdl.SAFEARRAY.ByReference parray

  - ### pbVal

    public ByteByReference pbVal

  - ### piVal

    public ShortByReference piVal

  - ### plVal

    public WinDef.LONGByReference plVal

  - ### pllVal

    public WinDef.LONGLONGByReference pllVal

  - ### pfltVal

    public FloatByReference pfltVal

  - ### pdblVal

    public DoubleByReference pdblVal

  - ### pboolVal

    public OaIdl.VARIANT_BOOLByReference pboolVal

  - ### pbool

    public OaIdl._VARIANT_BOOLByReference pbool

  - ### pscode

    public WinDef.SCODEByReference pscode

  - ### pcyVal

    public OaIdl.CURRENCY.ByReference pcyVal

  - ### pdate

    public OaIdl.DATE.ByReference pdate

  - ### pbstrVal

    public WTypes.BSTRByReference pbstrVal

  - ### ppunkVal

    public Unknown.ByReference ppunkVal

  - ### ppdispVal

    public Dispatch.ByReference ppdispVal

  - ### pparray

    public OaIdl.SAFEARRAYByReference pparray

  - ### pvarVal

    public Variant.VARIANT.ByReference pvarVal

  - ### byref

    public WinDef.PVOID byref

  - ### cVal

    public WinDef.CHAR cVal

  - ### uiVal

    public WinDef.USHORT uiVal

  - ### ulVal

    public WinDef.ULONG ulVal

  - ### ullVal

    public WinDef.ULONGLONG ullVal

  - ### intVal

    public Integer intVal

  - ### uintVal

    public WinDef.UINT uintVal

  - ### pdecVal

    public OaIdl.DECIMAL.ByReference pdecVal

  - ### pcVal

    public WinDef.CHARByReference pcVal

  - ### puiVal

    public WinDef.USHORTByReference puiVal

  - ### pulVal

    public WinDef.ULONGByReference pulVal

  - ### pullVal

    public WinDef.ULONGLONGByReference pullVal

  - ### pintVal

    public IntByReference pintVal

  - ### puintVal

    public WinDef.UINTByReference puintVal

  - ### pvRecord

    public Variant.VARIANT._VARIANT.__VARIANT.BRECORD pvRecord

- ## Constructor Details

  - ### __VARIANT

    public __VARIANT()

  - ### __VARIANT

    public __VARIANT(Pointer pointer)